/*******************************************************************************
 * Copyright (c) 2012 IBM Corporation and others.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompanies this distribution.
 *  
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *
 *     Russell Boykin       - initial API and implementation
 *     Alberto Giammaria    - initial API and implementation
 *     Chris Peters         - initial API and implementation
 *     Gianluca Bernardini  - initial API and implementation
 *     Michael Fiedler      - Bugzilla adpater implementations
 *     Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)
 * 
 * This file is generated by org.eclipse.lyo.oslc4j.codegenerator
 *******************************************************************************/

package se.kth.md.assume.adaptors.pror;

import org.eclipse.lyo.oslc4j.core.model.OslcConstants;

// Start of user code imports
// End of user code

public interface ProRConstants
{
    // Start of user code user constants
	// TODO 2016-09-19: make sure there is only one debug flag in the whole adaptor
	boolean DEBUG = true;
	// see https://jena.apache.org/documentation/tdb/datasets.html for default graph URI
	String TRS_GRAPH_NAME = "graph:adaptor-trs-cache"; // from Jena docs
    // TODO: 2016-12-26 switch to a VR graph per SP
    String VR_GRAPH_NAME = "urn:x-arq:DefaultGraph"; // from Jena docs
    public static String CFGM_DOMAIN = "http://your.organisation.domain/nsp4#";
    public static String CFGM_NAMSPACE = "http://your.organisation.domain/nsp4#";
    public static String CFGM_NAMSPACE_PREFIX = "oslc_config";
    public static String VERSIONRESOURCE = "VersionResource";
    public static String PATH_VERSIONRESOURCE = "versionResource";
    public static String TYPE_VERSIONRESOURCE = CFGM_NAMSPACE + "VersionResource";
    public static String ADAPTOR_TITLE_LABEL_FOR_HTML = "ProR Adaptor";
    public static String ADAPTOR_FOOTER_LABEL_FOR_HTML = "ProR Adaptor, © KTH 2017";
	// End of user code

    public static String DUBLIN_CORE_DOMAIN = "http://purl.org/dc/terms/";
    public static String DUBLIN_CORE_NAMSPACE = "http://purl.org/dc/terms/";
    public static String DUBLIN_CORE_NAMSPACE_PREFIX = "dcterms";
    public static String REQUIREMENTS_MANAGEMENT_DOMAIN = "http://open-services.net/ns/rm#";
    public static String REQUIREMENTS_MANAGEMENT_NAMSPACE = "http://open-services.net/ns/rm#";
    public static String REQUIREMENTS_MANAGEMENT_NAMSPACE_PREFIX = "oslc_rm";

    public static String REQUIREMENT = "Requirement";
    public static String PATH_REQUIREMENT = "requirement";
    public static String TYPE_REQUIREMENT = REQUIREMENTS_MANAGEMENT_NAMSPACE + "Requirement";
    public static String REQUIREMENTCOLLECTION = "RequirementCollection";
    public static String PATH_REQUIREMENTCOLLECTION = "requirementCollection";
    public static String TYPE_REQUIREMENTCOLLECTION = REQUIREMENTS_MANAGEMENT_NAMSPACE + "RequirementCollection";

    public static final String HDR_OSLC_VERSION = "OSLC-Core-Version";

}

